- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
qi::detail::ParseablePrintStream Class Reference

`#include <print.hpp>`

## Public Member Functions
| ParseablePrintStream (std::ostream &stream, DisplayHiddenMembers displayHidden=DisplayHiddenMembers::Hide)
| ParseablePrintStream (const ParseablePrintStream &)=delete
ParseablePrintStream & | operator= (const ParseablePrintStream &)=delete
| ParseablePrintStream (ParseablePrintStream &&o) BOOST_NOEXCEPT
ParseablePrintStream & | operator= (ParseablePrintStream &&o) BOOST_NOEXCEPT
template<typename S >
ParseablePrintStream & | operator<< (S &&streamable)
| OutputStreamable S. More...
ParseablePrintStream & | operator<< (const MetaObject &obj)
void | print (const MetaObject &mobj)

## Detailed Description

Provides facilities to print informations about types into a stream in parseable formatting. This class is movable but not copyable, thus not regular.

Example: ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~/

- ParseablePrintStream stream(std::cout, DisplayHiddenMembers::Display);
- MetaObject object = ...;
- stream << object;
- MetaMethod method = ...;
- stream << method.name(); // no overload for MetaMethod, just print its name
- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~/

Definition at line 292 of file print.hpp.

## Constructor & Destructor Documentation

qi::detail::ParseablePrintStream::ParseablePrintStream | ( | std::ostream & | stream,
|  | DisplayHiddenMembers | displayHidden = `DisplayHiddenMembers::Hide`
| ) |  |
| explicit

qi::detail::ParseablePrintStream::ParseablePrintStream | ( | const ParseablePrintStream & |  | ) |
| delete

qi::detail::ParseablePrintStream::ParseablePrintStream | ( | ParseablePrintStream && | o | ) |
| inline

Definition at line 302 of file print.hpp.

## Member Function Documentation

template<typename S >

ParseablePrintStream& qi::detail::ParseablePrintStream::operator<< | ( | S && | streamable | ) |
| inline

OutputStreamable S.

Definition at line 321 of file print.hpp.

ParseablePrintStream& qi::detail::ParseablePrintStream::operator<< | ( | const MetaObject & | obj | ) |
| inline

Definition at line 327 of file print.hpp.

ParseablePrintStream& qi::detail::ParseablePrintStream::operator= | ( | const ParseablePrintStream & |  | ) |
| delete

ParseablePrintStream& qi::detail::ParseablePrintStream::operator= | ( | ParseablePrintStream && | o | ) |
| inline

Definition at line 310 of file print.hpp.

void qi::detail::ParseablePrintStream::print | ( | const MetaObject & | mobj | ) |

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/detail/print.hpp